from django.contrib import admin
from .models import SiteSettings

@admin.register(SiteSettings)
class SiteSettingsAdmin(admin.ModelAdmin):
    # On empêche la création de plusieurs instances
    def has_add_permission(self, request):
        return not SiteSettings.objects.exists()
    
    # On empêche la suppression (pour ne pas casser le site)
    def has_delete_permission(self, request, obj=None):
        return False